diff -Naur connman-1.0/debian/changelog connman-1.7/debian/changelog
--- connman-1.0/debian/changelog	2012-05-25 03:27:50.000000000 +0100
+++ connman-1.7/debian/changelog	2012-09-20 15:35:05.000000000 +0100
@@ -1,3 +1,46 @@
+connman (1.7-0co1) bohea; urgency=low
+
+  * New upstream release. BUG: #674, #767
+    - Fixes crash during on test_technologies.
+  * Drop patches:
+    - 0001-tethering-Fix-bridge-module-loading-problem.patch
+    - 0002-tethering-Re-add-error-message-about-missing-bridge-.patch
+    - 0003-tethering-Fix-error-path-in-__connman_tethering_set_.patch
+  * Add build dependency on readline. 
+
+ -- Hector Oron <hector.oron@collabora.co.uk>  Thu, 20 Sep 2012 00:43:10 +0100
+
+connman (1.6-0co2) bohea; urgency=low
+
+  * Integrate patches to fix code for bridge module loading (BUG: 690)
+
+ -- Konstantinos Margaritis <konstantinos.margaritis@collabora.co.uk>  Mon, 10 Sep 2012 17:34:24 +0300
+
+connman (1.6-0co1) bohea; urgency=low
+
+  * New upstream release.
+
+ -- Hector Oron <hector.oron@collabora.co.uk>  Wed, 29 Aug 2012 23:33:06 +0100
+
+connman (1.3-0co2) bohea; urgency=low
+
+  * Disable hostname changing when getting DHCP lease (Bug#528) 
+
+ -- Hector Oron <hector.oron@collabora.co.uk>  Mon, 13 Aug 2012 23:05:12 +0100
+
+connman (1.3-0co1) bohea; urgency=low
+
+  * New upstream release.
+  
+  [ Sjoerd Simons ]
+  * debian/connman.links: 
+    * Enable connman to start as part of the multi-user.target and activatable
+      via dbus.
+  * Put the connman tests in /usr/share/connman/tests
+  * Add a connman-tests package that includes the connman test scripts
+
+ -- Hector Oron <hector.oron@collabora.co.uk>  Mon, 23 Jul 2012 21:20:34 +0100
+
 connman (1.0-1) unstable; urgency=high
 
   [ Andrew Brouwers ]
diff -Naur connman-1.0/debian/connman.install connman-1.7/debian/connman.install
--- connman-1.0/debian/connman.install	2012-05-25 03:27:50.000000000 +0100
+++ connman-1.7/debian/connman.install	2012-08-13 23:47:38.000000000 +0100
@@ -1,4 +1,5 @@
 etc/dbus-1/system.d/connman.conf
+src/main.conf etc/connman/
 lib/systemd/system/connman.service
 usr/share/polkit-1/actions/net.connman.policy
 usr/lib/*/connman/plugins/*.so
diff -Naur connman-1.0/debian/connman.links connman-1.7/debian/connman.links
--- connman-1.0/debian/connman.links	1970-01-01 01:00:00.000000000 +0100
+++ connman-1.7/debian/connman.links	2012-07-23 22:02:09.000000000 +0100
@@ -0,0 +1,3 @@
+lib/systemd/system/connman.service etc/systemd/system/multi-user.target.wants/connman.service
+lib/systemd/system/connman.service etc/systemd/system/dbus-net.connman.service
+
diff -Naur connman-1.0/debian/connman-tests.install connman-1.7/debian/connman-tests.install
--- connman-1.0/debian/connman-tests.install	1970-01-01 01:00:00.000000000 +0100
+++ connman-1.7/debian/connman-tests.install	2012-07-23 22:02:09.000000000 +0100
@@ -0,0 +1 @@
+usr/lib/*/connman/test /usr/share/connman/
diff -Naur connman-1.0/debian/control connman-1.7/debian/control
--- connman-1.0/debian/control	2012-05-25 03:27:50.000000000 +0100
+++ connman-1.7/debian/control	2012-09-20 16:23:03.000000000 +0100
@@ -12,14 +12,15 @@
                libgnutls-dev,
                iptables-dev,
                wpasupplicant,
-               libbluetooth-dev
+               libbluetooth-dev,
+               libreadline-dev
 Standards-Version: 3.9.3
 Vcs-Bzr: https://code.launchpad.net/~connman-maintainers/connman/debian
 Vcs-Browser: https://code.launchpad.net/~connman-maintainers/connman/debian
 
 Package: connman
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, dbus, lsb-base
+Depends: ${shlibs:Depends}, ${misc:Depends}, dbus, lsb-base, python-dbus
 Recommends: bluez, wpasupplicant
 Description: Intel Connection Manager daemon
  The Linux Connection Manager project provides a daemon for managing
@@ -65,3 +66,19 @@
  This package contains the connman API documentation.
  .
  See the connman description for more information regarding connman.
+
+Package: connman-tests
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}, python-dbus
+Description: Intel Connection Manager daemon -- test scripts
+ The Linux Connection Manager project provides a daemon for managing
+ Internet connections within embedded devices running the Linux
+ operating system. The Connection Manager is designed to be slim and to
+ use as few resources as possible, so it can be easily integrated in
+ other Moblin-based embedded systems. It is fully modular system that
+ can be extended through plug-ins, to support all kinds of wired or
+ wireless technologies. Also, configuration methods like DHCP and
+ domain name resolving are implemented using plug-ins. The plug-in
+ approach allows for easy adaption and modification for various use cases.
+ .
+ This package contains the connman test scripts
diff -Naur connman-1.0/debian/patches/02-add-main-conf.patch connman-1.7/debian/patches/02-add-main-conf.patch
--- connman-1.0/debian/patches/02-add-main-conf.patch	1970-01-01 01:00:00.000000000 +0100
+++ connman-1.7/debian/patches/02-add-main-conf.patch	2012-08-29 23:39:23.000000000 +0100
@@ -0,0 +1,102 @@
+Description: <short summary of the patch>
+ TODO: Put a short summary on the line above and replace this paragraph
+ with a longer explanation of this change. Complete the meta-information
+ with other relevant fields (see below for details). To make it easier, the
+ information below has been extracted from the changelog. Adjust it or drop
+ it.
+ .
+ connman (1.3-0co1) bohea; urgency=low
+ .
+   * New upstream release.
+ .
+   [ Sjoerd Simons ]
+   * debian/connman.links:
+     * Enable connman to start as part of the multi-user.target and activatable
+       via dbus.
+   * Put the connman tests in /usr/share/connman/tests
+   * Add a connman-tests package that includes the connman test scripts
+Author: Hector Oron <hector.oron@collabora.co.uk>
+
+---
+The information above should follow the Patch Tagging Guidelines, please
+checkout http://dep.debian.net/deps/dep3/ to learn about the format. Here
+are templates for supplementary fields that you might want to add:
+
+Origin: <vendor|upstream|other>, <url of original patch>
+Bug: <url in upstream bugtracker>
+Bug-Debian: http://bugs.debian.org/<bugnumber>
+Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
+Forwarded: <no|not-needed|url proving that it has been forwarded>
+Reviewed-By: <name and email of someone who approved the patch>
+Last-Update: <YYYY-MM-DD>
+
+Index: connman-1.6/src/main.conf
+===================================================================
+--- /dev/null	1970-01-01 00:00:00.000000000 +0000
++++ connman-1.6/src/main.conf	2012-08-29 23:39:11.000000000 +0100
+@@ -0,0 +1,65 @@
++[General]
++
++# Set input request timeout. Default is 120 seconds
++# The request for inputs like passphrase will timeout
++# after certain amount of time. Use this setting to
++# increase the value in case of different user
++# interface designs.
++# InputRequestTimeout = 120
++
++# Set browser launch timeout. Default is 300 seconds
++# The request for launching a browser for portal pages
++# will timeout after certain amount of time. Use this
++# setting to increase the value in case of different
++# user interface designs.
++# BrowserLaunchTimeout = 300
++
++# Enable background scanning. Default is true.
++# Background scanning will start every 5 minutes unless
++# the scan list is empty. In that case, a simple backoff
++# mechanism starting from 10s up to 5 minutes will run.
++# BackgroundScanning = true
++
++# List of Fallback timeservers separated by ",".
++# These timeservers are used for NTP sync when there are
++# no timeserver set by the user or by the service.
++# These can contain mixed combination of fully qualified
++# domain names, IPv4 and IPv6 addresses.
++# FallbackTimeservers =
++
++# List of fallback nameservers separated by "," appended
++# to the list of nameservers given by the service. The
++# nameserver entries must be in numeric format, host
++# names are ignored.
++# FallbackNameservers =
++
++# List of technologies that are marked autoconnectable
++# by default, separated by commas ",". The default value
++# for this entry when empty is ethernet,wifi,cellular.
++# Services that are automatically connected must have been
++# set up and saved to storage beforehand.
++# DefaultAutoConnectTechnologies =
++
++# List of preferred technologies from the most preferred
++# one to the least preferred one separated by commas ",".
++# Services of the listed technology type will be tried one
++# by one in the order given, until one of them gets connected
++# with state 'online' or they are all tried. A service of a
++# preferred technology type in state 'ready' will get the
++# default route when compared to a non-preferred type; a
++# service of a preferred technology type in state 'online'
++# will get the default route when compared to either a
++# non-preferred type or a preferred type in state 'ready'.
++# PreferredTechnologies =
++
++# List of blacklisted network interfaces separated by ",".
++# Found interfaces will be compared to the list and will
++# not be handled by connman, if their first characters
++# match any of the list entries. Default value is
++# vmnet,vboxnet,virbr.
++# NetworkInterfaceBlacklist = vmnet,vboxnet,virbr
++
++# Allow connman to change the system hostname. This can
++# happen for example if we receive DHCP hostname option.
++# Default value is true.
++# AllowHostnameUpdates = true
diff -Naur connman-1.0/debian/patches/05-dont-change-hostname-on-dhcp.patch connman-1.7/debian/patches/05-dont-change-hostname-on-dhcp.patch
--- connman-1.0/debian/patches/05-dont-change-hostname-on-dhcp.patch	1970-01-01 01:00:00.000000000 +0100
+++ connman-1.7/debian/patches/05-dont-change-hostname-on-dhcp.patch	2012-08-13 23:04:39.000000000 +0100
@@ -0,0 +1,21 @@
+From e7a3bf03409df6c7d591f37379bff0e898147078 Mon Sep 17 00:00:00 2001
+From: Gustavo Padovan <gustavo.padovan@collabora.co.uk>
+Date: Mon, 13 Aug 2012 15:30:37 -0300
+Subject: [PATCH 3/3] Do not allow ConnMan to update hostname on dhcp
+
+---
+ src/main.conf | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/src/main.conf b/src/main.conf
+index 67275da..d3fde41 100644
+--- a/src/main.conf
++++ b/src/main.conf
+@@ -62,4 +62,4 @@
+ # Allow connman to change the system hostname. This can
+ # happen for example if we receive DHCP hostname option.
+ # Default value is true.
+-# AllowHostnameUpdates = true
++AllowHostnameUpdates = false
+-- 
+1.7.11.2
diff -Naur connman-1.0/debian/patches/series connman-1.7/debian/patches/series
--- connman-1.0/debian/patches/series	2012-05-25 03:27:50.000000000 +0100
+++ connman-1.7/debian/patches/series	2012-09-20 17:14:57.000000000 +0100
@@ -1 +1,3 @@
 01-init-script-lsb-headers.patch
+02-add-main-conf.patch
+05-dont-change-hostname-on-dhcp.patch
diff -Naur connman-1.0/debian/rules connman-1.7/debian/rules
--- connman-1.0/debian/rules	2012-05-25 03:27:50.000000000 +0100
+++ connman-1.7/debian/rules	2012-08-13 23:08:24.000000000 +0100
@@ -10,12 +10,14 @@
 override_dh_auto_configure:
 	dh_auto_configure \
 		-- \
+		--enable-test \
 		--enable-threads \
 		--enable-openconnect \
 		--with-openconnect=/usr/sbin/openconnect \
 		--enable-openvpn \
 		--with-openvpn=/usr/sbin/openvpn \
 		--with-systemdunitdir=/lib/systemd/system \
+                --sysconfdir=/etc/connman \
 		--enable-polkit
 
 override_dh_install:
